Package it.ernytech.tdlib

## Class TdApi.GetFileExtension

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetFileExtension

Enclosing class:
  TdApi

    public static class TdApi.GetFileExtension
    extends TdApi.Function

Returns the extension of a file, guessed by its MIME type. Returns an empty string on failure. This is an offline method. Can be called before authorization. Can be called synchronously.

Returns `Text`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `mimeType` The MIME type of the file.

### Constructor Summary

Constructors
`GetFileExtension()` Default constructor.
`GetFileExtension​(java.lang.String mimeType)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### mimeType

    public java.lang.String mimeType

The MIME type of the file.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetFileExtension

    public GetFileExtension()

Default constructor.

#### GetFileExtension

    public GetFileExtension​(java.lang.String mimeType)

Constructor for initialization of all fields.

Parameters:
  `mimeType` - The MIME type of the file.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR